## NAME

d.to.rast - Saves the contents of the active display monitor to a raster map.

## KEYWORDS

display, export, raster

## SYNOPSIS

d.to.rast
d.to.rast --help
d.to.rast output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

output=name [required]
  Name for output raster map

## DESCRIPTION

d.to.rast saves the content of the currently selected monitor into a raster map. The active monitor can be selected with d.mon. d.to.rast can be run from GUI Console tab, too. This module is not sensitive to computational region settings.

## EXAMPLE

We combine different raster and vector map layers to create a composite layer which can be draped over elevation in 3D view. First, we add a couple of maps to layer manager:

    g.region raster=elevation
    d.rast map=elevation
    d.rast map=lakes
    d.vect map=roadsmajor width=4
    d.vect map=roadsmajor width=2 color=yellow

    # create a raster map from the display
    d.to.rast output=composite

Then uncheck all layers except for elevation and switch to 3D view. In Data tab, set color map to the newly created composite map.

Figure: Raster map created by d.to.rast draped over digital elevation model.

## SEE ALSO

d.out.file, d.erase, d.rast, d.vect, d.mon

## AUTHOR

Anna Petrasova, NCSU OSGeoREL

## SOURCE CODE

Available at: d.to.rast source code (history)

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2020 GRASS Development Team, GRASS GIS 7.9.dev Reference Manual